<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Lab4</title>
  </head>

  <style>

      body{
          background-color: lightcyan;
        display: inline;

      }
      .content-table {
          background-color: aliceblue;
          border-collapse: collapse;
          margin: auto;
          margin-top: 50px; 
          font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
          font-size: 0.5cm;
          min-width: 400px;
          border-radius: 5px 5px 0 0;
          overflow: hidden;
          box-shadow: 0 0 20px rgba(0,0,0,0.15);

      }

      .content-table thead tr{
          background-color: #009879;
          color:antiquewhite;
          text-align: left;
          font-weight: bold;
      }

      .content-table th,
      .content-table td {
          padding: 12px 15px;
      }

      .content-table tbody tr{
          border-bottom: 1px solid #009879;
      }

      .content-table tbody tr:nth-of-type(even){
          background-color: #c5f5eb;
      }

      .content-table tbody tr:last-of-type{
          border-bottom: 2px solid #009879;
      }

      .content-table tbody tr.active-row{
          font-weight: bold;
          color: #009879;
      }

      label.logo{
        color: antiquewhite;
        font-size: 30px;
        line-height: 80px;
        padding-left: 550px;
        font-weight: bold;
    }

    nav{
        background: rgb(228, 121, 183);
        height: auto;
        border-radius: 40px;
        padding: 30px;
        box-sizing: border-box;
        font-family: sans-serif;
        font-weight: bold;
        margin: auto;
        
    }
    nav ul{
        padding-left: 500px;
    }
    nav ul li{
        display: inline-block;
    }
    nav ul li a{
        color:antiquewhite;
        font-size: 18px;
        border-radius: 4px;
        padding:7px 13px ;
        text-transform: uppercase;
        
    }

    a.active,a:hover{
        background-color: rgb(224, 87, 167);
        transition: .5s;
    }

  </style>

  <body>
    <nav>
        <label class="logo">Navigation Bar</label>
        <ul>
            <li><a class="active" href='/lab-4/'>Index</a></li>
            <li><a class="active" href="addnote">Form</a></li>
            <li><a class="active" href="notelist">Note List </a></li>
        </ul>
    </nav>
    <table class="content-table">
        <thead>
            <tr>
                <th>To</th>
                <th>From</th>
                <th>Title</th>
                <th>Message</th>
            </tr>
        </thead>
        <!-- TODO loop from Friend model -->
      {% if notes%}
        {% for note in notes %}  
        <tr>
            <td>{{note.to}}</td>
            <td>{{note.fromAsal}}</td>
            <td>{{note.title}}</td>
            <td>{{note.message}}</td>
        </tr>  
        {% endfor %}
      {% endif %}
      <!-- END SECTION -->
    </table>
  </body>
</html>